=== debian/changelog ===
tellico (2.3.5+dfsg.1-4) unstable; urgency=low

  * Fix passing of hardening flags. Thanks Simon Ruderich. Closes: #669190.

 -- Regis Boudin <regis@debian.org>  Sun, 03 Jun 2012 10:29:26 +0200

tellico (2.3.5+dfsg.1-3) unstable; urgency=low

  * Actually add pkg-config to the build-depends. For real this time.

 -- Regis Boudin <regis@debian.org>  Tue, 10 Apr 2012 22:57:42 +0200

tellico (2.3.5+dfsg.1-2) unstable; urgency=low

  * Build-Depend on pkg-config. Thanks to Pino Toscano, and apologies again
    for misunderstanding. Closes: #661447.
  * Bump debhelper compatibility to 9. Build-depend accordingly.

 -- Regis Boudin <regis@debian.org>  Tue, 10 Apr 2012 20:33:24 +0200

tellico (2.3.5+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Further repacking to remove KDE 4.7 bits.
  * Bum build-depend on KDE to 4.7.
  * Update packages descriptions, thanks to Paul Stewart. Closes: #647154.
  * Bump Standards-Version to 3.9.3.

 -- Regis Boudin <regis@debian.org>  Thu, 15 Mar 2012 22:16:59 +0100

tellico (2.3.4+dfsg.1-1) unstable; urgency=low

  * New upstream release
  * Repack to remove the local KXmlRpc local copy.
  * Drop patch for QJson, applied upstream.
  * Convert debian/rules to dh.
  * Bump debian/compat to 8, and update build-dependency accordingly.

 -- Regis Boudin <regis@debian.org>  Tue, 27 Sep 2011 21:58:23 +0100

tellico (2.3.3-2) unstable; urgency=low

  * Add 0001-Use-the-new-qjson-naming.patch to build with the new QJson cmake
    naming scheme.
  * Add build-arch and build-indep targets to debian/rules, to make lintian
    happier.

 -- Regis Boudin <regis@debian.org>  Wed, 14 Sep 2011 21:49:51 +0100
