=== debian/changelog ===
tellico (2.3.8+dfsg.1-2.1~ubuntu14.04~ppa1) trusty; urgency=medium

  * Rebuild without nepomuk

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 15 Aug 2014 13:25:41 +0200

tellico (2.3.8+dfsg.1-2) unstable; urgency=low

  * Disable tests for now, which should at least temporarily address #716982.

 -- Regis Boudin <regis@debian.org>  Sat, 20 Jul 2013 13:02:17 +0200

tellico (2.3.8+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Split the documentation to a tellico-doc package, as it represents about
    half the size of the binaries. The tellico package "only" recommends it.
  * Bump Standards-Version to 3.9.4.

 -- Regis Boudin <regis@debian.org>  Mon, 08 Jul 2013 22:26:50 +0200
